Skip to main content
Platform O&M/Backup Management/Backup Service (Plus)/Backup Service Operations
POSTBackup Service OperationsSince 2.6.0SynchronousAuth Required

CreateRootVolumeTemplateFromVolumeBackup

CreateRootVolumeTemplateFromVolumeBackup

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • backupUuidStringRequired

    The UUID of the volume backup.

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • backupStorageUuidStringRequired

      The UUID of the backup storage.

    • nameStringRequired

      The name of the root volume image.

    • descriptionString

      Optional. The detailed description of the image.

    • guestOsTypeString

      Optional. The type of the guest operating system.

    • platformString

      Optional. The platform type of the guest.

    • systemboolean

      Optional. Specify whether to create a system image.

    • resourceUuidString

      Optional. Specify a UUID for the image.

    • architectureString

      Optional.

    • tagUuidsList

      Optional. The tag UUIDs.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryImageInventoryRequired

    See inventory

    • uuidStringRequired

      The UUID of the root volume image.

    • nameStringRequired

      The name of the image.

    • descriptionStringRequired

      The detailed description of the image.

    • stateStringRequired

      The state of the image.

    • statusStringRequired

      The readiness of the image.

    • sizeLongRequired

      The size of the image.

    • actualSizeLongRequired

      The actual storage space used by the image.

    • md5SumStringRequired

      The MD5 value of the image.

    • urlStringRequired

      The URL of the image.

    • mediaTypeStringRequired

      The type of the image.

    • guestOsTypeStringRequired

      The type of the guest OS.

    • typeStringRequired

      The interval used field.

    • platformStringRequired

      The system platform of the image.

    • formatStringRequired

      The format of the image, for example, raw.

    • systemBooleanRequired

      Specifies whether the image is a system image.

    • createDateTimestampRequired

      The time when the image was created.

    • lastOpDateTimestampRequired

      The time when the image was last modified.

    • backupStorageRefsListRequired

      See backupStorageRefs

      • imageUuidStringRequired

        The UUID of the root volume image.

      • backupStorageUuidStringRequired

        The UUID of the backup storage.

      • installPathStringRequired

        The installation path of the image on the backup storage.

      • exportUrlStringRequired

        The exported URL of the image.

      • exportMd5SumStringRequired

        The MD5 value of the exported image.

      • statusStringRequired

        The readiness of the image.

      • createDateTimestampRequired

        The time when the image was created.

      • lastOpDateTimestampRequired

        The time when the image was last modified.

Endpoint

POST/zstack/v1/images/root-volume-templates/from/volume-template/{backupUuid}

/zstack/v1/images/root-volume-templates/from/volume-template/{backupUuid}

Operation ID

CreateRootVolumeTemplateFromVolumeBackup

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/images/root-volume-templates/from/volume-template/{backupUuid}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"backupStorageUuid":"<backupStorageUuid>","name":"<name>","description":"<description>","guestOsType":"<guestOsType>","platform":"<platform>","system":true,"resourceUuid":"<resourceUuid>","architecture":"<architecture>","tagUuids":["<tagUuids>"]},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "e2b2695d55243c2997b5dc6165fffa83", "name": "My Volume Template", "mediaType": "RootVolumeTemplate", "platform": "Linux", "format": "qcow2", "backupStorageRefs": [ { "id": 0.0, "imageUuid": "e2b2695d55243c2997b5dc6165fffa83", "backupStorageUuid": "4ed18086e5593b86932436d02f575213", "installPath": "zstore://centos/0cd599ec519249489475112a058bb93a", "status": "Ready" } ] } }

Change History

This API has no change history records yet.

View all change history